Bug 159414 - something went wrong rebuilding the .src.rpm
something went wrong rebuilding the .src.rpm
Product: Fedora Infrastructure
Classification: Retired
Component: extras buildsys (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Seth Vidal
Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2005-06-02 10:55 EDT by Michael Schwendt
Modified: 2007-04-18 13:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-07-08 01:14:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2005-06-02 10:55:44 EDT
Please add more debug output to the "something went wrong rebuilding the
.src.rpm" error, so the reason for failure can be seen.

A few hours ago the src.rpm built fine on "ppc",


then without changing any parts which would affect the src.rpm, it failed:


I assume with the next build request it will succeed again. When and why does it
Comment 1 Michael Schwendt 2005-06-02 13:30:37 EDT
1.2.5-4 failed to build the src.rpm again for ppc. :(

I'm fed up with the buildsys for today. If you know why it failed again, please
Comment 2 Michael Schwendt 2005-06-02 19:19:01 EDT
Surprise, surprise! After ppc src.rpm build failure of 1.2.4-5, current 1.2.4-6
build request did succeed for ppc.
Comment 3 Seth Vidal 2005-06-03 03:37:01 EDT
Agreed, better error reporting is important. The build failures from today and
yesterday for FC4 are related to the rawhide changes. I posted to -maintainers
and -extras explaining what went on and how we resolved it.

For the future I'll try to figure out better error reports.
Comment 4 Paul Howarth 2005-07-05 10:38:20 EDT
I've had two failed builds like this for bittorrent in devel today:


Same issue? Or is it different this time?
Comment 5 Paul Howarth 2005-07-07 02:21:40 EDT
Tried building bittorrent again today after seeing lots of successful builds in
the extras build report. Same problem.
Comment 6 Michael Schwendt 2005-07-07 05:30:14 EDT
That's the one thing I dislike about this error message. It is completely
unclear whether the packager can do something to fix it. It hits you like a
hammer on the head, and you sit there and feel helpless as you don't know the
cause of it.
Comment 7 Seth Vidal 2005-07-08 01:14:26 EDT
well then it is fortunate we'll be getting rid of this error and the conditions
that make it happen.

There's not much point to leaving this bug open - that code is going away as the
new code comes in this weekend.

So I'm closing this as wontfix.

Note You need to log in before you can comment on or make changes to this bug.